Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableInterceptor::ClientRequestInterceptor Interface Reference

`#include <PortableInterceptorC.h>`

Inheritance diagram for PortableInterceptor::ClientRequestInterceptor:

[legend]
Collaboration diagram for PortableInterceptor::ClientRequestInterceptor:

[legend]
List of all members.

## Public Types
typedef ClientRequestInterceptor_ptr | _ptr_type
typedef ClientRequestInterceptor_var | _var_type
## Public Methods
void | send_request (in ClientRequestInfo ri) raises (ForwardRequest)
void | send_poll (in ClientRequestInfo ri)
void | receive_reply (in ClientRequestInfo ri)
void | receive_exception (in ClientRequestInfo ri) raises (ForwardRequest)
void | receive_other (in ClientRequestInfo ri) raises (ForwardRequest)
virtual void | send_request (PortableInterceptor::ClientRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )
virtual void | send_poll (PortableInterceptor::ClientRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | receive_reply (PortableInterceptor::ClientRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException )
virtual void | receive_exception (PortableInterceptor::ClientRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )
virtual void | receive_other (PortableInterceptor::ClientRequestInfo_ptr ri ACE_ENV_ARG_DECL_WITH_DEFAULTS)=0 throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )
virtual void * | _tao_QueryInterface (ptr_arith_t type)
| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. More...
virtual const char * | _interface_repository_id (void) const
| The repository ID for the most derived class, this is an implementation method and does no remote invocations! More...
## Static Public Methods
ClientRequestInterceptor_ptr | _duplicate (ClientRequestInterceptor_ptr obj)
ClientRequestInterceptor_ptr | _narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ClientRequestInterceptor_ptr | _unchecked_narrow (CORBA::Object_ptr obj ACE_ENV_ARG_DECL_WITH_DEFAULTS)
ClientRequestInterceptor_ptr | _nil (void)
| Return a NULL object. More...
## Static Public Attributes
int | _tao_class_id
| Address of this variable used in _unchecked_narrow(). More...
## Protected Methods
| ClientRequestInterceptor (void)
virtual | ~ClientRequestInterceptor (void)
## Private Methods
| ClientRequestInterceptor (const ClientRequestInterceptor &)
void | operator= (const ClientRequestInterceptor &)

## Member Typedef Documentation

typedef ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor::_ptr_type

| Reimplemented from PortableInterceptor::Interceptor.

typedef ClientRequestInterceptor_var PortableInterceptor::ClientRequestInterceptor::_var_type

| Reimplemented from PortableInterceptor::Interceptor.

## Constructor & Destructor Documentation

PortableInterceptor::ClientRequestInterceptor::ClientRequestInterceptor | ( | void |  | ) | `[protected]`

virtual PortableInterceptor::ClientRequestInterceptor::~ClientRequestInterceptor | ( | void |  | ) | `[protected, virtual]`

PortableInterceptor::ClientRequestInterceptor::ClientRequestInterceptor | ( | const ClientRequestInterceptor & |  | ) | `[private]`

## Member Function Documentation

ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor::_duplicate | ( | ClientRequestInterceptor_ptr | obj | ) | `[static]`

virtual const char* PortableInterceptor::ClientRequestInterceptor::_interface_repository_id | ( | void |  | ) | const`[virtual]`

| The repository ID for the most derived class, this is an implementation method and does no remote invocations! Reimplemented from PortableInterceptor::Interceptor.

ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor::_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from PortableInterceptor::Interceptor.

ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor::_nil | ( | void |  | ) | `[inline, static]`

| Return a NULL object. Reimplemented from PortableInterceptor::Interceptor.

virtual void* PortableInterceptor::ClientRequestInterceptor::_tao_QueryInterface | ( | ptr_arith_t | type | ) | `[virtual]`

| Downcasting this object pointer to some other derived class. This QueryInterface stuff only work for local object. Reimplemented from PortableInterceptor::Interceptor.

ClientRequestInterceptor_ptr PortableInterceptor::ClientRequestInterceptor::_unchecked_narrow | ( | CORBA::Object_ptr obj | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[static]`

| Reimplemented from PortableInterceptor::Interceptor.

void PortableInterceptor::ClientRequestInterceptor::operator= | ( | const ClientRequestInterceptor & |  | ) | `[private]`

virtual void PortableInterceptor::ClientRequestInterceptor::receive_exception | ( | PortableInterceptor::ClientRequestInfo_ptr ri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )`[pure virtual]`

void PortableInterceptor::ClientRequestInterceptor::receive_exception | ( | in ClientRequestInfo | ri | ) | raises (ForwardRequest)

virtual void PortableInterceptor::ClientRequestInterceptor::receive_other | ( | PortableInterceptor::ClientRequestInfo_ptr ri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )`[pure virtual]`

void PortableInterceptor::ClientRequestInterceptor::receive_other | ( | in ClientRequestInfo | ri | ) | raises (ForwardRequest)

virtual void PortableInterceptor::ClientRequestInterceptor::receive_reply | ( | PortableInterceptor::ClientRequestInfo_ptr ri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

void PortableInterceptor::ClientRequestInterceptor::receive_reply | ( | in ClientRequestInfo | ri | ) |

virtual void PortableInterceptor::ClientRequestInterceptor::send_poll | ( | PortableInterceptor::ClientRequestInfo_ptr ri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException )`[pure virtual]`

void PortableInterceptor::ClientRequestInterceptor::send_poll | ( | in ClientRequestInfo | ri | ) |

virtual void PortableInterceptor::ClientRequestInterceptor::send_request | ( | PortableInterceptor::ClientRequestInfo_ptr ri | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw ( CORBA::SystemException , PortableInterceptor::ForwardRequest )`[pure virtual]`

void PortableInterceptor::ClientRequestInterceptor::send_request | ( | in ClientRequestInfo | ri | ) | raises (ForwardRequest)

## Member Data Documentation

int PortableInterceptor::ClientRequestInterceptor::_tao_class_id`[static]`

| Address of this variable used in _unchecked_narrow(). Reimplemented from PortableInterceptor::Interceptor.

The documentation for this interface was generated from the following files:

- PortableInterceptor.pidl
- PortableInterceptorC.h